Method: customers.v2.Schemas.list

Retrieves all Schemas.

HTTP request

GET https://cloudidentityscim.googleapis.com/v1/customers/{customerId}/v2/Schemas

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
customerId

string

Required. The customer ID.

Request body

The request body must be empty.

Response body

Response message from listing Schemas.

If successful, the response body contains data with the following structure:

JSON representation
{
  "schemas": [
    string
  ],
  "resources": [
    {
      object (Schema)
    }
  ],
  "totalResults": integer
}
Fields
schemas[]

string

The schemas for the returned resources.

resources[]

object (Schema)

The list of requested resources.

totalResults

integer

The total number of results.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-identity.groups.readonly
  • https://www.googleapis.com/auth/cloud-identity.groups
  • https://www.googleapis.com/auth/cloud-identity
  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/admin.directory.user.readonly
  • https://www.googleapis.com/auth/admin.directory.user

For more information, see the Authorization guide.